# Content insert

An action block that inserts new content into another app, such as contacts or calendar events.

The fiber will pause until the new content has inserted.

Note! Only the “default messaging app” can modify `content://sms` and `content://mms-sms` URI’s on Android 4.4+.

Caution! This is advanced feature and should only be used with knowledge of the content structure, may result in loss of or corrupt data.

## Input arguments

- Content URI — URI of content to insert.
- Values — a dictionary with the columns to insert and the values thereof.

## Output variables

- Content URI — variable to assign the URI of the newly inserted content.